#!/bin/sh

if [ -e /proc/scsi/hfcldd ]; then
	for DEVFILE in /dev/hfcldd*
	do
		echo "**************** hfcmgr -is -p ${DEVFILE##*/} ****************"
		if [ ! -e ${DEVFILE} ]; then
			echo "No such file. (${DEVFILE})"
			exit 1
		fi
		/opt/hitachi/drivers/hba/hfcmgr -is -p ${DEVFILE##*/}
	done
else
	for HOSTS in `ls /sys/class/scsi_host/`; do
		if [ -n "` ls /sys/class/scsi_host/${HOSTS}/ | grep hfcldd_proc`" ]; then
			HFCLDD_SPC=`grep "Special file name" /sys/class/scsi_host/${HOSTS}/hfcldd_proc | cut -d= -f2 | sed -e "s/ //g"`
			echo "**************** hfcmgr -is -p ${HFCLDD_SPC} ****************"
			/opt/hitachi/drivers/hba/hfcmgr -is -p ${HFCLDD_SPC}
		fi
	done
fi
